Bug 1014349 - Backport fixes to graphite-web 0.9.12
Backport fixes to graphite-web 0.9.12
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: graphite-web (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 15:14 EDT by James Juran
Modified: 2013-11-10 15:18 EST (History)
1 user (show)

See Also:
Fixed In Version: graphite-web-0.9.12-5.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-04 21:48:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to build hierarchy to backport upstream changes (3.29 KB, text/plain)
2013-10-01 15:14 EDT, James Juran
no flags Details

  None (edit)
Description James Juran 2013-10-01 15:14:19 EDT
Created attachment 806141 [details]
patch to build hierarchy to backport upstream changes

Backport two fixes to 0.9.12 release:

- Dashboard loading by name
- Including metric name in exception log message

I'm using both of these in my production installation.
Comment 1 Jonathan Steffan 2013-10-01 17:47:22 EDT
I'm okay with both of these. Please keep after the upstream pull requests to merge these into the proper branch so we can remove these patches as soon as possible.

https://github.com/graphite-project/graphite-web/issues/411
https://github.com/graphite-project/graphite-web/pull/446

I'm only comfortable patching these as they are relatively trivial and there are upstream bugs/pull requests. Please transition issue 411 into a pull request and update the bug with the pull requests. I don't want mleinart to miss these and I don't want to carry them in the packages longer then we have to.

I'll be doing a build here shortly with these patched.
Comment 2 Jonathan Steffan 2013-10-01 19:33:42 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=468883 has these patches applied. I will be waiting to issue this to -testing until I can mark the currently pending updates as stable.
Comment 3 James Juran 2013-10-01 21:12:56 EDT
Thank you Jonathan. I will try to stay after these upstream, as I don't want to have to maintain them either locally or in Fedora if possible.

I'll file the pull request for issue 411 if I haven't heard from the original author in a day or so.
Comment 4 James Juran 2013-10-04 09:46:07 EDT
Upstream pull request https://github.com/graphite-project/graphite-web/pull/455 filed based on issue https://github.com/graphite-project/graphite-web/issues/411 .

Also asked https://answers.launchpad.net/graphite/+question/236823 about whether it's necessary to get these changes onto 0.9.x branch, or if master branch is sufficient.
Comment 5 Fedora Update System 2013-10-25 11:04:45 EDT
graphite-web-0.9.12-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-5.el6
Comment 6 Fedora Update System 2013-10-25 11:05:06 EDT
graphite-web-0.9.12-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-5.fc19
Comment 7 Fedora Update System 2013-10-25 11:05:23 EDT
graphite-web-0.9.12-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-5.el5
Comment 8 Fedora Update System 2013-10-25 11:05:42 EDT
graphite-web-0.9.12-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-5.fc20
Comment 9 Fedora Update System 2013-10-25 11:05:58 EDT
graphite-web-0.9.12-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/graphite-web-0.9.12-5.fc18
Comment 10 Fedora Update System 2013-10-25 13:38:57 EDT
Package graphite-web-0.9.12-5.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing graphite-web-0.9.12-5.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11952/graphite-web-0.9.12-5.el6
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-11-04 21:48:57 EST
graphite-web-0.9.12-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-11-04 21:53:08 EST
graphite-web-0.9.12-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-11-10 03:15:23 EST
graphite-web-0.9.12-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-11-10 15:17:50 EST
graphite-web-0.9.12-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-11-10 15:18:08 EST
graphite-web-0.9.12-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.